### Method

# St ThemeNode get_background_paint_box

#### Declaration [src]

    void
    st_theme_node_get_background_paint_box (
      StThemeNode* node,
      const ClutterActorBox* allocation,
      ClutterActorBox* paint_box
    )

#### Description [src]

Gets the box used to paint the actor’s background, including the area occupied by properties which paint outside the actor’s assigned allocation.

#### Parameters

`allocation`

  Type: `ClutterActorBox`

  The box allocated to a `ClutterActor`.

  The data is owned by the caller of the method.

`paint_box`

  Type: `ClutterActorBox`

  Computed box occupied when painting the actor’s background.

  The argument will be set by the function.
  The returned data is owned by the instance.